package com.ym.mec.collectfee.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(account):
 */
public class Account {

	/** id */
	private Integer id;
	
	/** 分部id 为个人用户 */
	private Integer branchId;
	
	/** 收款账户 */
	private String sellerNo;
	
	/** 最大收款金额 */
	private BigDecimal maxRouting;
	
	/** 已收金额 */
	private BigDecimal hasRouting;
	/** 版本 */
	private Integer version;

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setBranchId(Integer branchId){
		this.branchId = branchId;
	}
	
	public Integer getBranchId(){
		return this.branchId;
	}
			
	public void setSellerNo(String sellerNo){
		this.sellerNo = sellerNo;
	}
	
	public String getSellerNo(){
		return this.sellerNo;
	}
			
	public void setMaxRouting(BigDecimal maxRouting){
		this.maxRouting = maxRouting;
	}
	
	public BigDecimal getMaxRouting(){
		return this.maxRouting;
	}
			
	public void setHasRouting(BigDecimal hasRouting){
		this.hasRouting = hasRouting;
	}
	
	public BigDecimal getHasRouting(){
		return this.hasRouting;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
